extends Position2D

const icon_size = Vector2(2, 2)
const icon_padding = 1

var effect_icons: Array = []

func _draw():
	var xx = 0
	var half_size = ((icon_size.x + icon_padding) * effect_icons.size()) / 2 - icon_padding
	for color in effect_icons:
		draw_rect(Rect2(Vector2(xx - half_size, 0), icon_size), color)
		
		xx += icon_size.x + icon_padding
